#include "vision.h"
#include <bits/stdc++.h>

using namespace std;

std::vector<int> getVisionPattern1d()
{
    return {1, 3, 2};
}

int getMove1d(std::vector<int> v)
{
    if(v.size() == 3){
        if(v[2] == 3)
            return 2;
        return 0;
    }
    if(v.size() == 5){
        if(v[4] == 3)
            return 4;
        return 0;
    }
    if(v.size() == 7){
        if(v[4] == 2)
            return 6;
        return 0;
    }
}

std::vector<std::vector<int>> getVisionPattern2d()
{
    return {{1}};
}

std::pair<int, int> getMove2d(std::vector<std::vector<int>> v)
{
    return {0, 0};
}
